pytrainer(7)

NAME
pytrainer - sport activity logging tool

SYNOPSIS
pytrainer [options]

DESCRIPTION
pytrainer is a tool to log all sport excursions coming from GPS devices (with a focus on Forerunner) or GPX (http://www.topografix.com) files.
Pytrainer supports GPS track files and displays it in graphs, maps...

OPTIONS

-h, --help
    show this help message and exit

-d, --debug
    enable logging at debug level

-i, --info
    enable logging at info level

-w, --warn
    enable logging at warning level

--valid
    enable validation of files imported by plugins (details at info or debug logging level) - note plugin must support validation

--check
    triggers database (only sqlite based) and configuration file sanity checks, adding fields if necessary. Backup of database is done before any change. Details at info or debug logging level

--oldgraph
    Turn off new graphing approach

--newgraph
    Deprecated option: turn on new graphing approach

--confdir=CONF_DIR
    Specify the directory where application configuration will be stored.

--logtype=TYPE
    Specify where logging should be output to. TYPE is one of 'file' (default), or 'console'.

EXAMPLES

pytrainer
    starts pytrainer with log level set to ERROR

pytrainer -d
    starts pytrainer with log level set to DEBUG (troubleshooting)

AUTHORS
This manual page was originally written by Braulio Valdivielso <brlvldvlsmrtnz@gmail.com> and polished by Christian Perrier <bubulle@debian.org>. Detailed information and further changes by David García Granda <dgranda@gmail.com>.

For more information please check 'Credits' in 'About' menu.

Thanks to everyone who contributes and supports pytrainer.

SEE ALSO
Project web site: https://github.com/pytrainer/pytrainer
Distribution list: pytrainer-devel@lists.sourceforge.net